@echo off
@REM Copyright (C) 2020 株式会社ミナジン
@REM Windows PC打刻ツールインストール

if not "%Min%"=="true" (
    set Min=true
    start /min cmd /c,"%~0" %*
    exit
)

cd %~dp0
set CurrentPath=%~dp0
set tm=%time: =0%
set tm=%tm::=%
set Now=%date:/=%%tm%
set FileName=%~n0

@REM アンインストール
@REM "%CurrentPath%Setup\MngnTimeUninstaller.exe"

if ERRORLEVEL 0 (
    @REM インストール
    msiexec /i "%CurrentPath%Setup\Setup.msi" CONFIG="%CurrentPath%Setup\MngnTimeOptions.config" %1 /norestart /l*v "%CurrentPath%Setup\%FileName%_%COMPUTERNAME%_%Now%.log"
)

exit /b %errorlevel%
